html {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

*,
*:before,
*:after {
  -webkit-box-sizing: inherit;
  -moz-box-sizing: inherit;
  box-sizing: inherit;
}

* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

:root {
  --font-colour: #4a4a4a;
  --bg-colour: #fefefe;
  --primary-colour: #000000;
  --secondary-colour: darkorange;
  --site-width: 800px;
}

body {
  margin: 0;
  padding: 0;
  font-size: 18px;
  line-height: 1.6;
  color: var(--font-colour, #4a4a4a);
  font-family: sans-serif;
  background: var(--bg-colour, #fefefe);
}

a {
  text-decoration-thickness: 1px;
  text-underline-offset: 0.25ch;
}

a:hover,
a:focus {
  text-decoration-style: dashed;
}

a:active {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

.wrap {
  margin: 0 auto;
  width: 100%;
  max-width: var(--site-width, 800px);
}

.wp-block-button > .wp-block-button__link {
  border-radius: 0;
}

.wp-block-button.is-style-hdbutton_primary > .wp-block-button__link {
  background-color: #000;
}

.wp-block-button.is-style-hdbutton_secondary > .wp-block-button__link {
  background-color: #222;
}

.wp-block-button:hover {
  opacity: 0.8;
}

.alignfull {
  width: 100vw !important;
  max-width: initial !important;
  position: relative !important;
  left: 50% !important;
  right: 50% !important;
  margin-left: -50vw !important;
  margin-right: -50vw !important;
}

.alignwide {
  width: 120%;
  position: relative;
  margin-top: 1.4rem;
  margin-right: -10%;
  margin-bottom: 1.4rem;
  margin-left: -10%;
}

.cols {
  display: grid;
  gap: 4rem;
}

.col-1-1 {
  grid-template-columns: minmax(10px, 1fr) minmax(10px, 1fr);
}

.col-2-1 {
  grid-template-columns: minmax(10px, 2fr) minmax(10px, 1fr);
}

.col-1-2 {
  grid-template-columns: minmax(10px, 1fr) minmax(10px, 2fr);
}

.col-1-1-1 {
  grid-template-columns: minmax(10px, 1fr) minmax(10px, 1fr) minmax(10px, 1fr);
}

.valign {
  align-items: center;
}

.alignright {
	display: flex;
  justify-content: end;
}

#content {
  overflow-x: hidden;
}

/* HDBlocks 
- - - - - - - - - - - - - - -*/

/* HDHighlight */
.hdhighlight {
  width: 100vw;
  max-width: initial;
  position: relative;
  left: 50%;
  right: 50%;
  margin-left: -50vw;
  margin-right: -50vw;
  padding: 2rem 0;
  background-position: bottom center;
}

.hdhighlight .hdhighlight_content {
  position: relative;
  z-index: 1;
  margin: 0 auto;
  max-width: var(--site-width, 800px);
}

.hdhighlight .hdhighlight_overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.4);
}

/* HDCallout */
.hdcallout {
  font-style: italic;
  margin-bottom: 2rm;
  padding: 2em 4em;
  text-align: center;
  transform: translate3d(-10px, -16px, 0px) rotateX(1deg) rotateZ(3deg);
  box-shadow: 24px 24px 28px -10px rgba(34, 33, 81, 0.15);
}

.hdcallout > p {
  line-height: 1.3;
  border-bottom: none;
  margin: 0;
  padding: 0;
}

/* HDAccordion */
.hd_accordion_item {
  margin-bottom: 0.2em;
}
.hd_accordion_item .hd_accordion_title {
  line-height: 1;
  background-color: #1d1d1d;
  padding: 1rem;
  transition: 0.4s all ease-in-out;
  margin: 0;
  border-bottom: 2px solid #6f6f6f;
  position: relative;
  cursor: pointer;
  color: #fff;
  transition: all ease-in-out 300ms;
}

.hd_accordion_item .hd_accordion_heading .hd_accordion_title:before {
  content: "+";
  position: relative;
  display: inline-block;
}

.hd_accordion_item
  .hd_accordion_heading[data-expanded="true"]
  .hd_accordion_title:before {
  content: "-";
}

.hd_accordion_item
  .hd_accordion_heading[data-expanded="true"]
  .hd_accordion_title {
  background-color: #000;
  color: var(--secondary-colour);
}

.hd_accordion_item .hd_accordion_button {
  background: none;
  color: inherit;
  border: none;
  padding: 0;
  font: inherit;
  cursor: pointer;
  outline: inherit;
  appearance: none;
  box-shadow: none;
  text-align: left;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding-left: 2em;
  padding-right: 2em;
}

.hd_accordion_item .hd_accordion_button:focus {
  outline: 2px solid var(--secondary-colour);
}

.hd_accordion_item .hd_accordion_content {
  will-change: height;
  overflow: hidden;
  visibility: hidden;
  height: 0;
  transition: visibility 0.3s, height 0.4s;
  will-change: height;
}

.hd_accordion_item .hd_accordion_content[aria-hidden="false"] {
  visibility: visible;
}

/* Notes */
.hd_note {
  background-color: var(--secondary-colour);
  position: relative;
  width: 20px;
  height: 20px;
  color: #000;
  display: inline-flex;
  justify-content: center;
  align-content: center;
  align-items: center;
  font-size: 0.6em;
  border-radius: 50%;
  top: -3px;
  user-select: none;
  cursor: pointer;
}

.hd_note_content {
  position: absolute;
  top: calc(100% + 0.8rem);
  font-size: 1.15em;
  font-weight: 700;
  width: 300px;
  line-height: 1.4;
  background: #141414;
  border-radius: 10px;
  box-shadow: 0 0 24px 0px #000;
  color: #fff;
  padding: 1em;
  text-align: center;
  pointer-events: none;
  opacity: 0;
  transform: translate3d(0, 30px, 0);
  transition: all 0.3s cubic-bezier(0.1, 1, 0.9, 1);
  transition-property: opacity, transform;
}

.hd_note.active .hd_note_content {
  opacity: 1;
  transform: translate3d(0, 0, 0);
  z-index: 99999;
}

.hd_note_content::after {
  content: "";
  position: absolute;
  bottom: 100%;
  left: calc(50% - 10px);
  display: block;
  border-style: solid;
  border-top-color: transparent;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-bottom: 10px solid #141414;
}

@media (max-width: 800px) {
  body {
    font-size: 18px;
  }

  .wrap,
  .hdhighlight_content {
    padding: 0 1rem;
  }

  .hd_note_content {
    position: fixed;
    top: 10vh;
    left: calc(50% - 150px);
  }

  .hd_note_content::after {
    display: none;
  }
}
